Astra H Android™ CAN Service - Oun6ka #254

DeviceManager.java line 157 [Crashlytics]
06/23/2019 12:00 AM - Fabric.io C.

Status: 3akpbiTa-BelnaHa B penna Start date: 08/02/2019
Priority: HopmanbHbliii Due date: 08/09/2019
Assignee: Victor K. % Done: 100%
Category: [Core] DeviceManager Estimated time: 1.00 hour
Target version: Release 2, fix #3
Umsa, mopennb Xiaomi Mi Max 2, Samsung Galaxy S7 Mpowmeka: Crok
ycTpoucTBa: edge
Bepcust OS Android: Any version E-mail pna o6patHomn

CBA3MU:
Root: No
Description

Crashlytics detected a new issue.
DeviceManager.java line 157 in @@

This issue is affecting at least 1 user who has crashed at least 1 time.
More information:

https://fabric.io/droidoncar/android/apps/com.roher.carservice/issues/52f5ba7bc36437e4dc4939082¢15503b?utm_medium=service
hooks-redmine&utm_source=issue_impact

Stacktrace:

Fatal Exception: java.lang.NumberFormatException: For input string: ""
at java.lang.Integer.parselInt + 533 (Integer.java:533)
at java.lang.Integer.parseInt + 556 (Integer.java:556)
at com.roher.carservice.device.c.c + 157 (DeviceManager.java:157)
at com.roher.carservice.CANService$Sa.onLooperPrepared + 758 (CANService.java:758)
at android.os.HandlerThread.run + 60 (HandlerThread. java:60)

Related issues:
Is duplicate of Owmbka #253: DeviceManager.java line 157 [Crashlytics] 3akpbiTa-Boind8i02(20183  08/09/2019

History

#1 - 07/29/2019 05:37 PM - Victor K.

- Category set to [Core] QueueManager

- Status changed from HoBas to OueHeHa-I"oT0Ba k paspabotke
- Assignee set to Victor K.

- Target version set to Release 2, fix #2

- Estimated time set to 1.00 h

- Wmsi, Mmopens yctpovictBa changed from Any device to Xiaomi Mi Max 2, Samsung Galaxy S7 edge

#2 - 07/29/2019 05:37 PM - Victor K.
- Is duplicate of Owunbka #253: DeviceManager.java line 157 [Crashlytics] added

#3 - 07/29/2019 05:57 PM - Victor K.

- Description updated

#4 - 07/30/2019 12:24 AM - Victor K.

- Target version changed from Release 2, fix #2 to Release 2, fix #3

#5 - 07/30/2019 12:35 AM - Victor K.
https://fabric.io/droidoncar/android/apps/com.roher.carservice/issues/52f5ba7bc36437e4dc4939082c15503b?utm_medium=service_hooks-redmine&utm_source=issue_impact
https://fabric.io/droidoncar/android/apps/com.roher.carservice/issues/52f5ba7bc36437e4dc4939082c15503b?utm_medium=service_hooks-redmine&utm_source=issue_impact

- Category changed from [Core] QueueManager to [Core] DeviceManager

#6 - 08/03/2019 12:07 AM - Victor K.
- Due date set to 08/09/2019
- Status changed from OueHeHa-I"oToBa k paspaboTke to B paspaborke

- Start date set to 08/02/2019

#7 - 08/03/2019 12:13 AM - Victor K.
- Status changed from B paspabotke to "0ToBa 418 TecTupoBaHus

- % Done changed from 0 to 60

#8 - 08/15/2019 01:59 PM - Victor K.

- Status changed from [oroBa Ans TectuposaHus to B npouecce TectpoBaHns

#9 - 01/01/2020 09:51 PM - Victor K.
- Status changed from B npouecce rectupoBanus to lNpotectpoBaHa-otoBa B penn3

- % Done changed from 60 to 100

#10 - 01/01/2020 09:51 PM - Victor K.

- Status changed from [lNpotectuposaHa-I oToBa B penu3 to 3akpbiTa-BblnaHa B penus
